org.eclipse.wst.jsdt.core.formatter

## Class CodeFormatterApplication

- java.lang.Object
- - org.eclipse.wst.jsdt.core.formatter.CodeFormatterApplication

    public class CodeFormatterApplication
    extends java.lang.Object

Implements an Eclipse Application for org.eclipse.wst.jsdt.core.JavaCodeFormatter. There are a couple improvments that could be made: 1. Make a list of all the files first so that a file does not get formatted twice. 2. Use a text based progress monitor for output.

This class is not intended to be instantiated or subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`CodeFormatterApplication()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `start(IApplicationContext context)` Runs the JavaScript code formatter application
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeFormatterApplication

    public CodeFormatterApplication()

### Method Detail

#### start

    public java.lang.Object start(IApplicationContext context)
                           throws java.lang.Exception

Runs the JavaScript code formatter application

Throws:
  `java.lang.Exception`

#### stop

    public void stop()